### Hierarchy

- unknown
  - Filter

## Index

### Constructors

- constructor

### Methods

- addArbitrators
- addBannedAutoConfExplorers
- addBannedCurrencies
- addBannedOfferIds
- addBannedPaymentAccounts
- addBannedPaymentMethods
- addBannedprivilegeddevpubkeys
- addBannedsignerpubkeys
- addBtcFeeReceiverAddresses
- addBtcNodes
- addMediators
- addNodeAddressesBannedFromNetwork
- addNodeAddressesBannedFromTrading
- addPriceRelayNodes
- addRefundagents
- addSeedNodes
- clearArbitratorsList
- clearBannedAutoConfExplorersList
- clearBannedCurrenciesList
- clearBannedOfferIdsList
- clearBannedPaymentAccountsList
- clearBannedPaymentMethodsList
- clearBannedprivilegeddevpubkeysList
- clearBannedsignerpubkeysList
- clearBtcFeeReceiverAddressesList
- clearBtcNodesList
- clearExtraDataMap
- clearMediatorsList
- clearNodeAddressesBannedFromNetworkList
- clearNodeAddressesBannedFromTradingList
- clearPriceRelayNodesList
- clearRefundagentsList
- clearSeedNodesList
- getArbitratorsList
- getBannedAutoConfExplorersList
- getBannedCurrenciesList
- getBannedOfferIdsList
- getBannedPaymentAccountsList
- getBannedPaymentMethodsList
- getBannedprivilegeddevpubkeysList
- getBannedsignerpubkeysList
- getBtcFeeReceiverAddressesList
- getBtcNodesList
- getCreationDate
- getDisableApi
- getDisableAutoConf
- getDisableMempoolValidation
- getDisableTradeBelowVersion
- getExtraDataMap
- getMediatorsList
- getNodeAddressesBannedFromNetworkList
- getNodeAddressesBannedFromTradingList
- getOwnerPubKeyBytes
- getOwnerPubKeyBytes_asB64
- getOwnerPubKeyBytes_asU8
- getPreventPublicBtcNetwork
- getPriceRelayNodesList
- getRefundagentsList
- getSeedNodesList
- getSignatureAsBase64
- getSignerPubKeyAsHex
- serializeBinary
- setArbitratorsList
- setBannedAutoConfExplorersList
- setBannedCurrenciesList
- setBannedOfferIdsList
- setBannedPaymentAccountsList
- setBannedPaymentMethodsList
- setBannedprivilegeddevpubkeysList
- setBannedsignerpubkeysList
- setBtcFeeReceiverAddressesList
- setBtcNodesList
- setCreationDate
- setDisableApi
- setDisableAutoConf
- setDisableMempoolValidation
- setDisableTradeBelowVersion
- setMediatorsList
- setNodeAddressesBannedFromNetworkList
- setNodeAddressesBannedFromTradingList
- setOwnerPubKeyBytes
- setPreventPublicBtcNetwork
- setPriceRelayNodesList
- setRefundagentsList
- setSeedNodesList
- setSignatureAsBase64
- setSignerPubKeyAsHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Filter(): Filter

- Inherited from jspb.Message.constructor

  #### Returns Filter

## Methods

### addArbitrators

- addArbitrators(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3066

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedAutoConfExplorers

- addBannedAutoConfExplorers(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3126

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedCurrencies

- addBannedCurrencies(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3056

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedOfferIds

- addBannedOfferIds(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3035

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedPaymentAccounts

- addBannedPaymentAccounts(value?: PaymentAccountFilter, index?: number): PaymentAccountFilter

- - Defined in src/protobuf/pb_pb.d.ts:3040

  #### Parameters

  - ##### Optional value: PaymentAccountFilter

  - ##### Optional index: number

  #### Returns PaymentAccountFilter

### addBannedPaymentMethods

- addBannedPaymentMethods(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3061

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedprivilegeddevpubkeys

- addBannedprivilegeddevpubkeys(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3118

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBannedsignerpubkeys

- addBannedsignerpubkeys(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3102

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBtcFeeReceiverAddresses

- addBtcFeeReceiverAddresses(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3107

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addBtcNodes

- addBtcNodes(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3084

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addMediators

- addMediators(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3092

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addNodeAddressesBannedFromNetwork

- addNodeAddressesBannedFromNetwork(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3131

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addNodeAddressesBannedFromTrading

- addNodeAddressesBannedFromTrading(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3030

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addPriceRelayNodes

- addPriceRelayNodes(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3076

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addRefundagents

- addRefundagents(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3097

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### addSeedNodes

- addSeedNodes(value: string, index?: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3071

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns Filter

### clearArbitratorsList

- clearArbitratorsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3065

  #### Returns Filter

### clearBannedAutoConfExplorersList

- clearBannedAutoConfExplorersList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3125

  #### Returns Filter

### clearBannedCurrenciesList

- clearBannedCurrenciesList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3055

  #### Returns Filter

### clearBannedOfferIdsList

- clearBannedOfferIdsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3034

  #### Returns Filter

### clearBannedPaymentAccountsList

- clearBannedPaymentAccountsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3039

  #### Returns Filter

### clearBannedPaymentMethodsList

- clearBannedPaymentMethodsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3060

  #### Returns Filter

### clearBannedprivilegeddevpubkeysList

- clearBannedprivilegeddevpubkeysList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3117

  #### Returns Filter

### clearBannedsignerpubkeysList

- clearBannedsignerpubkeysList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3101

  #### Returns Filter

### clearBtcFeeReceiverAddressesList

- clearBtcFeeReceiverAddressesList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3106

  #### Returns Filter

### clearBtcNodesList

- clearBtcNodesList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3083

  #### Returns Filter

### clearExtraDataMap

- clearExtraDataMap(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3051

  #### Returns Filter

### clearMediatorsList

- clearMediatorsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3091

  #### Returns Filter

### clearNodeAddressesBannedFromNetworkList

- clearNodeAddressesBannedFromNetworkList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3130

  #### Returns Filter

### clearNodeAddressesBannedFromTradingList

- clearNodeAddressesBannedFromTradingList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3029

  #### Returns Filter

### clearPriceRelayNodesList

- clearPriceRelayNodesList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3075

  #### Returns Filter

### clearRefundagentsList

- clearRefundagentsList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3096

  #### Returns Filter

### clearSeedNodesList

- clearSeedNodesList(): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3070

  #### Returns Filter

### getArbitratorsList

- getArbitratorsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3063

  #### Returns string[]

### getBannedAutoConfExplorersList

- getBannedAutoConfExplorersList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3123

  #### Returns string[]

### getBannedCurrenciesList

- getBannedCurrenciesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3053

  #### Returns string[]

### getBannedOfferIdsList

- getBannedOfferIdsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3032

  #### Returns string[]

### getBannedPaymentAccountsList

- getBannedPaymentAccountsList(): PaymentAccountFilter []

- - Defined in src/protobuf/pb_pb.d.ts:3037

  #### Returns PaymentAccountFilter []

### getBannedPaymentMethodsList

- getBannedPaymentMethodsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3058

  #### Returns string[]

### getBannedprivilegeddevpubkeysList

- getBannedprivilegeddevpubkeysList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3115

  #### Returns string[]

### getBannedsignerpubkeysList

- getBannedsignerpubkeysList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3099

  #### Returns string[]

### getBtcFeeReceiverAddressesList

- getBtcFeeReceiverAddressesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3104

  #### Returns string[]

### getBtcNodesList

- getBtcNodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3081

  #### Returns string[]

### getCreationDate

- getCreationDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3109

  #### Returns number

### getDisableApi

- getDisableApi(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3133

  #### Returns boolean

### getDisableAutoConf

- getDisableAutoConf(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3120

  #### Returns boolean

### getDisableMempoolValidation

- getDisableMempoolValidation(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3136

  #### Returns boolean

### getDisableTradeBelowVersion

- getDisableTradeBelowVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:3086

  #### Returns string

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3050

  #### Returns Map<string, string>

### getMediatorsList

- getMediatorsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3089

  #### Returns string[]

### getNodeAddressesBannedFromNetworkList

- getNodeAddressesBannedFromNetworkList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3128

  #### Returns string[]

### getNodeAddressesBannedFromTradingList

- getNodeAddressesBannedFromTradingList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3027

  #### Returns string[]

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3045

  #### Returns string | Uint8Array

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3047

  #### Returns string

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3046

  #### Returns Uint8Array

### getPreventPublicBtcNetwork

- getPreventPublicBtcNetwork(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3078

  #### Returns boolean

### getPriceRelayNodesList

- getPriceRelayNodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3073

  #### Returns string[]

### getRefundagentsList

- getRefundagentsList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3094

  #### Returns string[]

### getSeedNodesList

- getSeedNodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:3068

  #### Returns string[]

### getSignatureAsBase64

- getSignatureAsBase64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3042

  #### Returns string

### getSignerPubKeyAsHex

- getSignerPubKeyAsHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:3112

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3139

  #### Returns Uint8Array

### setArbitratorsList

- setArbitratorsList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3064

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedAutoConfExplorersList

- setBannedAutoConfExplorersList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3124

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedCurrenciesList

- setBannedCurrenciesList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3054

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedOfferIdsList

- setBannedOfferIdsList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3033

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedPaymentAccountsList

- setBannedPaymentAccountsList(value: PaymentAccountFilter []): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3038

  #### Parameters

  - ##### value: PaymentAccountFilter []

  #### Returns Filter

### setBannedPaymentMethodsList

- setBannedPaymentMethodsList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3059

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedprivilegeddevpubkeysList

- setBannedprivilegeddevpubkeysList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3116

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBannedsignerpubkeysList

- setBannedsignerpubkeysList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3100

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBtcFeeReceiverAddressesList

- setBtcFeeReceiverAddressesList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3105

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setBtcNodesList

- setBtcNodesList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3082

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setCreationDate

- setCreationDate(value: number): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3110

  #### Parameters

  - ##### value: number

  #### Returns Filter

### setDisableApi

- setDisableApi(value: boolean): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3134

  #### Parameters

  - ##### value: boolean

  #### Returns Filter

### setDisableAutoConf

- setDisableAutoConf(value: boolean): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3121

  #### Parameters

  - ##### value: boolean

  #### Returns Filter

### setDisableMempoolValidation

- setDisableMempoolValidation(value: boolean): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3137

  #### Parameters

  - ##### value: boolean

  #### Returns Filter

### setDisableTradeBelowVersion

- setDisableTradeBelowVersion(value: string): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3087

  #### Parameters

  - ##### value: string

  #### Returns Filter

### setMediatorsList

- setMediatorsList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3090

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setNodeAddressesBannedFromNetworkList

- setNodeAddressesBannedFromNetworkList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3129

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setNodeAddressesBannedFromTradingList

- setNodeAddressesBannedFromTradingList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3028

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3048

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Filter

### setPreventPublicBtcNetwork

- setPreventPublicBtcNetwork(value: boolean): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3079

  #### Parameters

  - ##### value: boolean

  #### Returns Filter

### setPriceRelayNodesList

- setPriceRelayNodesList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3074

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setRefundagentsList

- setRefundagentsList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3095

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setSeedNodesList

- setSeedNodesList(value: string[]): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3069

  #### Parameters

  - ##### value: string[]

  #### Returns Filter

### setSignatureAsBase64

- setSignatureAsBase64(value: string): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3043

  #### Parameters

  - ##### value: string

  #### Returns Filter

### setSignerPubKeyAsHex

- setSignerPubKeyAsHex(value: string): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3113

  #### Parameters

  - ##### value: string

  #### Returns Filter

### toObject

- toObject(includeInstance?: boolean): Filter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3140

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Filter . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3143

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Filter

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Filter, reader: BinaryReader): Filter

- - Defined in src/protobuf/pb_pb.d.ts:3144

  #### Parameters

  - ##### message: Filter

  - ##### reader: BinaryReader

  #### Returns Filter

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Filter, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3142

  #### Parameters

  - ##### message: Filter

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Filter ): Filter . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3141

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Filter

  #### Returns Filter . AsObject

Generated using TypeDoc